# R(D) and R(D*) Analysis

This project contains the code for the $`R(D)`$ and $`R(D^*)`$ measurements.

It is heavily based on the [Analysis Tools package](https://gitlab.etp.kit.edu/fmetzner/AnalysisTools),
which contains general utilities not specific to $`R(D^{(*)})`$ analyses.

## Installation

First make sure to install the necessary python packages on top of your basf2 externals via

```shell
pip3 install --upgrade pip
pip3 install -r requirements.txt
```

after setting up your local basf2 environment.

To install this package use

```shell
pip3 install <path/to/directory/containing/this/README>
```

or the command with the `--editable` option to allow for continuous development:

```shell
pip3 install -e <path/to/directory/containing/this/README>
```

If you are using a basf2 release or an externals version to which you do not have write access, you
can install the package locally via

```shell
pip3 install --user -r requirements.txt
pip3 install --user <path/to/directory/containing/this/README>
```

## Development

For development, please consider to also add the packages
[`AnalysisTools`](https://gitlab.ekp.kit.edu/fmetzner/AnalysisTools)
and [`TemplateFitter`](https://github.com/FelixMetzner/TemplateFitter)
manually via the instructions given in their `README`,
instead of installing them via the `-r` option of `pip3 install`.

An alternative [older version of the `TemplateFitter`](https://github.com/welschma/TemplateFitter) 
can also be used.
Please follow the instructions given in the `README` in the directory
`max_template_fitter_patch` of this repository to do so.

## Further Information
- Further information related to this $`R(D^{(*)})`$ analysis and more in-depth documentation is
gathered in the [project wiki](https://gitlab.etp.kit.edu/fmetzner/RDStar/wikis/home).
- Parts of the documentation will be ported to the [Analysis Tools
  wiki](https://gitlab.etp.kit.edu/fmetzner/AnalysisTools/wikis/home)
