# MC Reweighting

This module is responsible for the calculation of reweighting factors of B --> D^{**} l nu decays from ISGW2 to the
LLSW decay model.

This module requires a installed custom physics vector package which can be found at
[https://gitlab.ekp.kit.edu/fmetzner/AnalysisTools/tree/master/analysistools/physics_vectors](https://gitlab.ekp.kit.edu/fmetzner/AnalysisTools/tree/master/analysistools/physics_vectors).

## Usage

### Event Generation
In order to generate events modify the number of event `n_events` and decay model `dec_model` parameters in `tasks.py`.
To start the event generation use
```
python3 tasks.py
```
The generated events are located in the `results` directory.
Important: make the script `evt_pdl/replace_evt_pdl.sh` executable before starting the event generation.
### Weight Calculation
The `reweighting.py` script can be executed after some paths to the generated pd.DataFrames have been modified, so that they match the output from the event generation.
Use
```
python3 reweighting.py 
```
to produce summary plots of the variables and of the reweighting result.