"""
Tasks producing the Validation Results for the Analysis

Felix Metzner 2019
"""

import os
import b2luigi as luigi
from luigi.util import requires

from rdstar.offline_analysis.tasks.flow_validation_tasks import AnalysisEvaluationTask
from rdstar.offline_analysis.tasks.sideband_validation_tasks import SidebandEvaluationTask
from rdstar.offline_analysis.tasks.resolution_correction_task import ResolutionCorrectionValidationTask


__all__ = [
    "ValidationWrapperTask"
]


@requires(AnalysisEvaluationTask, SidebandEvaluationTask, ResolutionCorrectionValidationTask)
class ValidationWrapperTask(luigi.WrapperTask):
    def __init__(self, *args, **kwargs) -> None:
        super().__init__(*args, **kwargs)

    def get_log_file_dir(self) -> os.fspath:
        return os.fspath(self.working_dir)

    def get_task_file_dir(self) -> os.fspath:
        return os.fspath(self.working_dir)
